### Function

# Gdk.ContentFormats.new

#### Declaration [src]

    GdkContentFormats*
    gdk_content_formats_new (
      const char** mime_types,
      guint n_mime_types
    )

#### Description [src]

Creates a new `GdkContentFormats` from an array of mime types.

The mime types must be valid and different from each other or the behavior of the return value is undefined. If you cannot guarantee this, use `GdkContentFormatsBuilder` instead.

#### Parameters

`mime_types` | An array of `char*`
| Pointer to an array of mime types
| Can be `NULL`
| The length of the array is in the `n_mime_types` argument
| Ownership is not transferred to the callee
`n_mime_types` | `guint`
| number of entries in `mime_types`.

#### Return value

Returns: `GdkContentFormats`
the new `GdkContentFormats`.
Ownership of the data is transferred to the caller